﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace Map_TemplateSelector
{
    public class MapTemplateSelector : DataTemplateSelector
    {
        public DataTemplate EllipseTemplate { get; set; }
        public DataTemplate ImageTemplate { get; set; }
        public DataTemplate TextBlockTemplate { get; set; }
        public DataTemplate PolygonDataTemplate { get; set; }
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is EllipseObject)
            {
                return EllipseTemplate;
            }
            else if (item is ImageObject)
            {
                return ImageTemplate;

            }
            else if (item is TextBlockObject)
            {
                return TextBlockTemplate;

            }
            else if (item is PolygonDataObject)
            {
                return PolygonDataTemplate;

            }
            return base.SelectTemplate(item, container);
        }
    }
}
